Subject: bug#17679: Wrong :type for `gnus-signature-limit'

From: Samuel Bronson <[email-masked]>
Date: Tue, 03 Jun 2014 13:52:38 -0400

I see this in `gnus-art.el':
(defcustom gnus-signature-limit nil
  "Provide a limit to what is considered a signature.
If it is a number, no signature may not be longer (in characters) than
that number.  If it is a floating point number, no signature may be
longer (in lines) than that number.  If it is a function, the function
will be called without any parameters, and if it returns nil, there is
no signature in the buffer.  If it is a string, it will be used as a
regexp.  If it matches, the text in question is not a signature.

This can also be a list of the above values."
  :type '(choice (const nil)
		 (integer :value 200)
		 (number :value 4.0)
		 function
		 (regexp :value ".*"))
  :group 'gnus-article-signature)

I can't help but notice that the :type neglects the case "This can also
be a list of the above values." from the docstring.

Gnus v5.13
GNU Emacs 24.3.1 (i486-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2013-12-22 on binet, modified by Debian

-- 
Hi! I'm a .signature virus! Copy me into your ~/.signature to help me spread!